.icon {
    position: relative;

    i {
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
        color: $gray;
        font-size: 1.2rem;
        line-height: inherit;
    }

    &--left {
        i {
            left: 15px;
        }

        input {
            padding-left: 40px;
        }
    }

    &--both {
        i:nth-of-type(1) {
            left: 12px;
        }

        i:nth-of-type(2) {
            right: 12px;
        }

        input {
            padding-left: 30px;
            padding-right: 30px;
        }
    }
}
